#version 460 core

layout (location = 0) in vec4 Position;

uniform mat4 modelMatrix;
uniform mat4 viewMatrix;

out vData
{
	float TTL1;
} vertex;

void main()
{
	gl_Position = viewMatrix * modelMatrix * vec4(Position.xyz, 1.0f);
	vertex.TTL1 = Position.w;
}
